Bug 103029 - -bi, not -bc, needed to build thread libraries
Summary: -bi, not -bc, needed to build thread libraries
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: glibc   
(Show other bugs)
Version: 1.0
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-25 17:40 UTC by Andrew Cagney
Modified: 2016-11-24 15:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-03 10:25:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andrew Cagney 2003-08-25 17:40:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; NetBSD macppc; en-US; rv:1.0.2) Gecko/20030820

Description of problem:
The thread libraries are only built as part of the RPM install process, and not
the build process.  That is:

rpmbuild -bi --target i686 glibc.spec

(-bi == install) instead of:

rpmbuild -bc --target i686 glibc.spec

(-bc == compile/build) is needed to get a built copy of the thread libraries.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. rpmbuild -bc --target i686 glibc.spec


Actual Results:  only build-i686-linux is created

Expected Results:  all the glibc libraries should have been built

Additional info:

Comment 1 Jakub Jelinek 2003-09-03 10:25:56 UTC
Many rpms do part of their building during %install phase. The distinction
between %build and %install is totally arbitrary.
Moving all the building to %build phase goes against other requests I get:
minimizing disk space requirements of glibc rpm build.


Note You need to log in before you can comment on or make changes to this bug.